Import the expected page surface: fetch sitemap.xml or accept an uploaded path list
POST
/v1/coverage/sitemap
const url = 'https://api.monita.ai/v1/coverage/sitemap';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"domainId":"example","paths":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monita.ai/v1/coverage/sitemap \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "domainId": "example", "paths": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
domainId
required
string
paths
Array<string>
Examplegenerated
{ "domainId": "example", "paths": [ "example" ]}Responses
Section titled “Responses”OK
Media typeapplication/json
object
imported
required
number
Examplegenerated
{ "imported": 1}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Sitemap unreachable
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}